Bug 289521 - clulog doesn't honor cluster configuration specification of log level in all cases
Summary: clulog doesn't honor cluster configuration specification of log level in all ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 289501
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-13 17:36 UTC by Lon Hohberger
Modified: 2009-04-16 20:22 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:15:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1.21 KB, patch)
2008-01-28 19:32 UTC, Lon Hohberger
no flags Details | Diff
Corrected fix (965 bytes, patch)
2008-01-28 19:34 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0791 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2008-07-25 19:14:58 UTC

Description Lon Hohberger 2007-09-13 17:36:16 UTC
+++ This bug was initially created as a clone of Bug #289501 +++

Description of problem:

clulog -s 7 hi 

...does not work out of the box, even if /cluster/rm/@log_level is set to 7

Version-Release number of selected component (if applicable): 5.1 beta
How reproducible: 100%
Actual results: No log message, even if filtering in syslog.conf is turned off.
Expected results: Message.

Additional info: I have a script-level workaround which I will include here (it
may be deployed on running systems), but ultimately, the best course of action
is to fix it in the clulog command.

-- Additional comment from lhh@redhat.com on 2007-09-13 13:23 EST --
Created an attachment (id=194791)
Works around clulog bug; may be used on running systems

To apply:

  cd /usr/share/cluster; patch -p0 < /tmp/log-workaround.patch

-- Additional comment from lhh@redhat.com on 2007-09-13 13:24 EST --
Note: Previous patch was against 4.5, not 5.1.

-- Additional comment from lhh@redhat.com on 2007-09-13 13:27 EST --
Created an attachment (id=194811)
Workaround for RHEL5/5.1.  Apply using same methods.

Comment 1 Lon Hohberger 2007-09-13 17:37:04 UTC
[lhh@ayanami ~]$ md5sum log-workaround*
c87182c0b6d325b3a0404aaf64905214  log-workaround.patch
9532729a13d72364db87b99f2ef50386  log-workaround-RHEL5.patch


Comment 2 Lon Hohberger 2008-01-28 19:32:36 UTC
Created attachment 293183 [details]
Fix

Comment 3 Lon Hohberger 2008-01-28 19:34:03 UTC
Created attachment 293184 [details]
Corrected fix

Comment 4 Lon Hohberger 2008-01-28 19:34:42 UTC
Patch in CVS

Comment 7 errata-xmlrpc 2008-07-25 19:15:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html



Note You need to log in before you can comment on or make changes to this bug.